<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.wfc</groupId>
        <artifactId>wfc-modules</artifactId>
        <version>1.0.13</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
	
    <artifactId>wfc-modules-payment</artifactId>
    <properties>    
        <wfc-modules-payment.version>1.0.1</wfc-modules-payment.version>
	</properties>
    
    <description>wfc-modules-payment</description>
	
    <dependencies>
    	
    	<!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>
        
        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>
        
    	<!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>
        
    	<!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

		
        <!-- Mysql Connector -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>
        
        <!-- WFC Common DataSource -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-datasource</artifactId>
        </dependency>
        
        <!-- WFC Common DataScope -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-datascope</artifactId>
        </dependency>
        
        <!-- WFC Common Log -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-log</artifactId>
        </dependency>
        
        <!-- WFC Common Swagger -->
        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-common-swagger</artifactId>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-WxPay</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-AliPay</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-QQ</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-UnionPay</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-JDPay</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.javen205</groupId>
            <artifactId>IJPay-PayPal</artifactId>
            <version>${ijapy.version}</version>
        </dependency>

        <dependency>
            <groupId>org.wfc</groupId>
            <artifactId>wfc-api-user</artifactId>
        </dependency>

        <dependency>
            <groupId>javax.persistence</groupId>
            <artifactId>javax.persistence-api</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>
        
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>            
        </plugins>
    </build>
   
</project>